import {FaceContainer} from './FaceContainer'
import { BackgroundCircle } from './BackgroundCircle';
import { Eyes } from './Eyes';
import { Mouth } from './Mouth';


export const Face = ({width, height, 
               centerX, centerY,lineWidth, 
               eyeOffsetX, eyeOffsetY, radiusEye,
              innerRadius, mouthWidth})=>(
   <FaceContainer 
    width = {width}
    height={height}
    centerX={centerX}
    centerY={centerY}
    >
        <BackgroundCircle 
          radius = {(height - lineWidth) / 2} 
          lineWidth = {lineWidth}
        />
          
          <Eyes 
            eyeOffsetX = {eyeOffsetX}
            eyeOffsetY = {eyeOffsetY}
            radiusEye = {radiusEye}
            />
          
          <Mouth 
            	innerRadius = {innerRadius}
            	mouthWidth = {mouthWidth}
          />
      </FaceContainer>
  
);
