import {arc} from 'd3';

export const Mouth = ({innerRadius, mouthWidth})=>{
  const MouthArc = arc()
                  .innerRadius(innerRadius)
                  .outerRadius(innerRadius + mouthWidth)
                  .startAngle(Math.PI / 2)
                  .endAngle(Math.PI * 3 / 2);
  return (<path d = {MouthArc()} />);
}