import React from 'react';
import ReactDOM from 'react-dom';
import {range} from 'd3'

import {Face} from './Face'

const width = 166;
const height = 166;

// const array = [1,2, 3,4, 5];

const array = range(3 * 5);
console.log(array);

const APP = ()=> array.map(()=>
(
  <>
    <Face   
      width = {width}
      height={height}
      centerX={width / 2 }
      centerY={height / 2}
      lineWidth = {20}
      eyeOffsetX = {30}
      eyeOffsetY = {30}
      radiusEye = {15}
      innerRadius = {50}
      mouthWidth = {10}
      />
    </>
  
));


const rootElement = document.getElementById('root');
ReactDOM.render(<APP />, rootElement);

